also fixes implicit function decls
--
diff --git a/cfgfile.c b/cfgfile.c
index 442316c..6637bd1 100644
--- a/cfgfile.c
+++ b/cfgfile.c
@@ -7,6 +7,7 @@
 
 #include <stdio.h>
 #include <string.h>
+#include <stdlib.h>
 #include <errno.h>
 
 #include "stringmap.h"
diff --git a/iftop.c b/iftop.c
index 5a7b41e..a08e8cd 100644
--- a/iftop.c
+++ b/iftop.c
@@ -46,6 +46,10 @@
 #include "ppp.h"
 
 
+void options_read_args(int argc, char **argv);
+void options_make(void);
+int get_addrs_ioctl(char *interface, char if_hw_addr[], struct in_addr *if_ip_addr);
+
 /* ethernet address of interface. */
 int have_hw_addr = 0;
 unsigned char if_hw_addr[6];    
diff --git a/options.c b/options.c
index 8f385de..a9aac5e 100644
--- a/options.c
+++ b/options.c
@@ -28,6 +28,9 @@
 #   define inet_aton(a, b)  inet_pton(AF_INET, (a), (b))
 #endif
 
+void config_set_string(const char *directive, const char* s);
+int config_get_enum(const char *directive, config_enumeration_type *enumeration, int *value);
+
 options_t options;
 
 char optstr[] = "+i:f:nNF:hpbBPm:c:";
@@ -159,7 +162,7 @@ void options_set_defaults() {
 }
 
 static void die(char *msg) {
-    fprintf(stderr, msg);
+    fprintf(stderr, "%s", msg);
     exit(1);
 }
 
